package ru.dbotthepony.mc.otm.mixin.ironchest;

import com.progwml6.ironchest.common.block.regular.entity.DirtChestBlockEntity;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.AbstractContainerMenu;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;
import ru.dbotthepony.mc.otm.compat.ironchest.MatteryIronChestMenu;

@Mixin(DirtChestBlockEntity.class)
public abstract class DirtChestBlockEntityMixin {
	@Overwrite(remap = false)
	public AbstractContainerMenu createMenu(int containerId, Inventory inventory) {
		return MatteryIronChestMenu.dirt(containerId, inventory, ((DirtChestBlockEntity)(Object) this));
	}
}
