package ru.dbotthepony.mc.otm.mixin.ironchest;

import com.progwml6.ironchest.common.block.regular.entity.GoldChestBlockEntity;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.AbstractContainerMenu;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;
import ru.dbotthepony.mc.otm.compat.ironchest.MatteryIronChestMenu;

@Mixin(GoldChestBlockEntity.class)
public abstract class GoldChestBlockEntityMixin {
	@Overwrite(remap = false)
	public AbstractContainerMenu createMenu(int containerId, Inventory inventory) {
		return MatteryIronChestMenu.gold(containerId, inventory, ((GoldChestBlockEntity)(Object) this));
	}
}
