package ru.dbotthepony.mc.otm.mixin.ironchest;

import com.progwml6.ironchest.common.block.regular.entity.IronChestBlockEntity;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.AbstractContainerMenu;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;
import ru.dbotthepony.mc.otm.compat.ironchest.MatteryIronChestMenu;

@Mixin(IronChestBlockEntity.class)
public abstract class IronChestBlockEntityMixin {
	@Overwrite(remap = false)
	public AbstractContainerMenu createMenu(int containerId, Inventory inventory) {
		return MatteryIronChestMenu.iron(containerId, inventory, ((IronChestBlockEntity)(Object) this));
	}
}
