package ru.dbotthepony.mc.otm.mixin.ironshulkerbox;

import com.progwml6.ironshulkerbox.common.block.entity.CopperShulkerBoxBlockEntity;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.AbstractContainerMenu;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;
import ru.dbotthepony.mc.otm.compat.ironshulkerbox.MatteryIronShulkerBoxMenu;

@Mixin(CopperShulkerBoxBlockEntity.class)
public abstract class CopperShulkerBoxBlockEntityMixin {
	@Overwrite(remap = false)
	public AbstractContainerMenu createMenu(int containerId, Inventory inventory) {
		return MatteryIronShulkerBoxMenu.copper(containerId, inventory, ((CopperShulkerBoxBlockEntity)(Object) this));
	}
}
