package ru.dbotthepony.mc.otm.entity

import net.minecraft.world.entity.Entity
import net.minecraft.world.entity.EntityType
import net.minecraft.world.entity.LivingEntity
import net.minecraft.world.entity.ai.goal.Goal
import net.minecraft.world.entity.monster.Monster
import net.minecraft.world.level.Level

abstract class AbstractRogueMachine(entityType: EntityType<out AbstractRogueMachine>, world: Level) : Monster(entityType, world) {

	open val isRogueMachine: Boolean = true

	override fun isAlliedTo(other: Entity): Boolean {
		if (other is AbstractRogueMachine) {
			return true
		}
		return super.isAlliedTo(other)
	}
}
