package ru.dbotthepony.mc.otm.mixin.ironchest;

import com.progwml6.ironchest.common.block.trapped.entity.TrappedDirtChestBlockEntity;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.AbstractContainerMenu;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;
import ru.dbotthepony.mc.otm.compat.ironchest.MatteryIronChestMenu;

@Mixin(TrappedDirtChestBlockEntity.class)
public abstract class TrappedDirtChestBlockEntityMixin {
	@Overwrite(remap = false)
	public AbstractContainerMenu createMenu(int containerId, Inventory inventory) {
		return MatteryIronChestMenu.dirt(containerId, inventory, ((TrappedDirtChestBlockEntity)(Object) this));
	}
}
