package ru.dbotthepony.mc.otm.mixin.ironshulkerbox;

import com.progwml6.ironshulkerbox.common.block.entity.DiamondShulkerBoxBlockEntity;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.AbstractContainerMenu;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;
import ru.dbotthepony.mc.otm.compat.ironshulkerbox.MatteryIronShulkerBoxMenu;

@Mixin(DiamondShulkerBoxBlockEntity.class)
public abstract class DiamondShulkerBoxBlockEntityMixin {
	@Overwrite(remap = false)
	public AbstractContainerMenu createMenu(int containerId, Inventory inventory) {
		return MatteryIronShulkerBoxMenu.diamond(containerId, inventory, ((DiamondShulkerBoxBlockEntity)(Object) this));
	}
}
